#
# Conditional build:
%bcond_with	tests	# unit tests

%define		module		pygit2
%define		egg_name	pygit2
%define		pypi_name	pygit2
Summary:	Python bindings for libgit2 library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libgit2
Name:		python-%{module}
Version:	1.9.2
Release:	1
License:	GPL v2 with linking exception
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pygit2/
Source0:	https://files.pythonhosted.org/packages/source/p/pygit2/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	772a1b14dabc91e6a6dceb2cd0026d36
URL:		https://pypi.org/project/pygit2/
BuildRequires:	libgit2-devel >= 1.4
BuildRequires:	python3-cffi >= 1.9.1
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%{?with_tests:BuildRequires:	python3-pytest}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pygit2 is a set of Python bindings to the libgit2 shared library.

%description -l pl.UTF-8
pygit2 to zbiór wiązań Pythona do biblioteki współdzielonej libgit2.

%package -n python3-%{module}
Summary:	Python 3.x bindings for libgit2 library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki libgit2
Group:		Libraries/Python
Requires:	libgit2 >= 1.4

%description -n python3-%{module}
pygit2 is a set of Python bindings to the libgit2 shared library.

%description -n python3-%{module} -l pl.UTF-8
pygit2 to zbiór wiązań Pythona do biblioteki współdzielonej libgit2.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} -m pytest test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst README.rst SPONSORS.rst
%dir %{py3_sitedir}/pygit2
%{py3_sitedir}/pygit2/decl
%{py3_sitedir}/pygit2/*.py
%{py3_sitedir}/pygit2/*.pyi
%{py3_sitedir}/pygit2/__pycache__
%attr(755,root,root) %{py3_sitedir}/pygit2/_libgit2.abi3.so
%attr(755,root,root) %{py3_sitedir}/pygit2/_pygit2.cpython-*.so
%{py3_sitedir}/pygit2-%{version}-py*.egg-info
%changelog
* Mon Jun 27 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygit2.git;a=log;h=master

* Mon Jun 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 3bf57d5
- updated to 1.9.2 for libgit2 1.4.x/python 3.7+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7c6f746
- rebuild with tests and docs

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> 824108e
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> dafac1d
- rebuild with python 3.10

* Sat Oct 23 2021 Jan Rękorajski <baggins@pld-linux.org> 342f6f1
- Release 2 (by relup.sh)

* Sun Sep 05 2021 Jan Rękorajski <baggins@pld-linux.org> 2399117
- relax libgit2 version check to >=1.1

* Sun Sep 05 2021 Jan Rękorajski <baggins@pld-linux.org> 9ec37f0
- up to 1.6.1

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> 150f68c
- up to 1.5.0

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> c84dc49
- require pytest only when building with tests

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 365b70e
- release 2 (by relup.sh)

* Sun May 17 2020 Jan Rękorajski <baggins@pld-linux.org> 73d8bb6
- up to 1.2.1 for libgit2 1.x
- support for python 2 and apidocs have been removed upstream

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4990bb0
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Jul 25 2019 Jan Palus <atler@pld-linux.org> b06b30e
- up to 0.28.2

* Fri Oct 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 008db68
- build process update

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d979eb4
- rel 2; no pycparser (from upstream)

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ea5331
-  BR python pycparser

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 98d2ca3
- up to 0.27.2

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 09e64e7
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 69d716d
- release 3 (by relup.sh)

* Wed Nov 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e11402b
- rel 2; disable network tests from FC

